# == Class: emacs::params
#
# This is a container class holding default parameters for emacs module.
#
class emacs::params {
  case $::operatingsystem {
    /(?i:debian|devuan|ubuntu)/: {
      $emacs_package_name = 'emacs'
      $emacs_config       = '/root/.emacs'
    }
    /(?i:centos|fedora|redhat)/: {
      $emacs_package_name = 'emacs-nox'
      $emacs_config       = '/root/.emacs'
    }
    default                    : {
      fail("Module ${module_name} is not supported on ${::operatingsystem}")
    }
  }
}
# EOF
